#!/bin/bash

PVA_MN_CORE=0

function configureNode()
{
	cp ${VZLCORE_INSTALL_DIR}/install/etc/samples/* ${VZLCORE_ETC_DIR}/samples/
	prl_disp_service
	${VZLCORE_BIN_DIR}/vzpInstallHelper --vnc-configure
}

# main
function main() 
{
	echo "------------------------------------------------------------------------------------------------"
	date "+%b %e %T PVA Agent for Parallels Server post install configuration : start"

	# Need to restart PIM in case of standalone PL installation on HN which already has PIM running
	stop_vzagent_services

	configureNode

	start_vzagent_services

	date "+%b %e %T PVA Agent for Parallels Server post install configuration : stop"
	echo "------------------------------------------------------------------------------------------------"
}

# VZL defines
scriptDir=`dirname "$0"`
# VZL defines
. ${scriptDir}/pva-agent-helper.sh || abort "Failed to include ${scriptDir}/pva-agent-helper.sh" 

############################### Go  ##############################

main $*

exit 0

